﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;

namespace DashArray_132087
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel view;
        public MainWindow()
        {
            InitializeComponent();
            view = new ViewModel();
            SfChart chart = new SfChart();
            chart.Margin = new Thickness(10);
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis() { Interval = 10 };

            FastLineSeries series1 = new FastLineSeries()
            {
                ItemsSource = view.Collection,
                XBindingPath = "XValue",
                YBindingPath = "Value1",
                StrokeDashArray = new DoubleCollection() { 3, 2 },  
                Interior = new SolidColorBrush(Colors.Blue)           
            };
            chart.Series.Add(series1);

            FastLineBitmapSeries series2 = new FastLineBitmapSeries()
            {
                ItemsSource = view.Collection,
                XBindingPath = "XValue",
                YBindingPath = "Value2",
                StrokeDashArray = new DoubleCollection() { 3, 2 },
                Interior = new SolidColorBrush(Colors.Black)
            };
            chart.Series.Add(series2);

            FrameworkElementFactory lineFactory = new FrameworkElementFactory(typeof(Line));
            lineFactory.SetValue(Line.StrokeDashArrayProperty, new DoubleCollection() { 3, 2 });
            lineFactory.SetValue(Line.StrokeProperty, new Binding() { Path = new PropertyPath("Interior")});
            lineFactory.SetValue(Line.StrokeThicknessProperty, new Binding() { Path = new PropertyPath("StrokeThickness") });
            lineFactory.SetValue(Line.X1Property, new Binding() { Path = new PropertyPath("X1")});
            lineFactory.SetValue(Line.X2Property, new Binding() { Path = new PropertyPath("X2")});
            lineFactory.SetValue(Line.Y1Property, new Binding() { Path = new PropertyPath("Y1")});
            lineFactory.SetValue(Line.Y2Property, new Binding() { Path = new PropertyPath("Y2")});
      
            LineSeries series3 = new LineSeries()
            {
                ItemsSource = view.Collection,
                XBindingPath = "XValue",
                YBindingPath = "Value3",
                Interior = new SolidColorBrush(Colors.Purple),
                CustomTemplate = new DataTemplate() { VisualTree = lineFactory }
            };
            
            chart.Series.Add(series3);
            grid.Children.Add(chart);
        }
    }

}
